PDA

View Full Version : libcrypo.so.10



Kenjutsushi
16-Apr-2012, 17:26
I am trying to install opendcp in OpenSUSE 12.1 in suse studio added the
opendcp.rpm but it requires libcrypto.so.10 when I try to dl the rpm it
gives me openssl dl's so I add in the openssl and libopenssl rpm's. DCP
still requires libcrypto.so.10 how do I fix this within studio? Thank
you in advance. Matt


--
Kenjutsushi
------------------------------------------------------------------------
Kenjutsushi's Profile: http://forums.opensuse.org/member.php?userid=62239
View this thread: http://forums.opensuse.org/showthread.php?t=474468

tertitten
08-May-2012, 19:56
You might have to symlink and install DCP under the boot script, simply
because libopenssl1_0_0 does'nt contain libcrypto.so.10 but
libcrypto.so.1.0.0 ..

In the "Run script at the end of the build" script you could try
something like:

Code:
--------------------
ln -s /usr/lib64/libcrypto.so.1.0.0 /usr/lib64/libcrypto.so.10
rpm -ivh /opt/dcp_rpmfile.rpm
--------------------

*remove 64 if your building for 32 bit system

Place the DCP rpm in the overlay files section (not as rpm in software
section) in the path you want, in example /opt/
Change path and rpm file name in the code above.

Depending on/if the rpm is actually built for openSUSE you may have to
install the rpm with something like:
rpm -ivh --nodeps /opt/dcp_rpmfile.rpm


--
tertitten
------------------------------------------------------------------------
tertitten's Profile: http://forums.opensuse.org/member.php?userid=28910
View this thread: http://forums.opensuse.org/showthread.php?t=474468

Magic31
14-May-2012, 09:47
Next to tertittens reply, try installing the libopenssl1_0_0-debuginfo package seems to also provide libcrypto.so.10 (can't check if this is so atm).

libopenssl1_0_0-debuginfo should be in the default repositories, but otherwise you can grab a copy and upload it into your SUSE Studio build, links found here;

32bit: http://download.opensuse.org/distribution/12.1/repo/oss/suse/i586/libopenssl-devel-1.0.0e-34.1.2.i586.rpm
64bit: http://download.opensuse.org/distribution/12.1/repo/oss/suse/x86_64/libopenssl-devel-1.0.0e-34.1.2.x86_64.rpm

Hope that helps,
Willem